Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/zarr/reference/) # Zarr Import API Reference * Zarr Import API * Collection * postCreate a Zarr collection * getQuery Zarr collections * getGet a Zarr collection * putUpdate Zarr collection * delDelete Zarr collection * putReingest a Zarr collection * Arrays * getQuery Zarr collection's arrays * getGet a single Zarr array [API docs by Redocly](https://redocly.com/redoc/) # API Reference (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/sh-prod-zarr-api-spec.yaml) ## [](#tag/zarr_collection)Collection ## [](#tag/zarr_collection/operation/createZarrCollection)Create a Zarr collection ##### Authorizations: *OAuth2* ##### Request Body schema: application/json | | | | ---------------- | ----------------------------------------------------------------------------------------------------------------------------------- | | namerequired | string | | s3Bucketrequired | stringThe S3 bucket where the Zarr is stored. | | pathrequired | stringThe prefix within the bucket where the Zarr is stored. Must end with '/' but not start with it and must contain a Zarr group. | | crsrequired | stringNative CRS of the Zarr. See also [Sentinel Hub CRS support](https://docs.planet.com/develop/apis/processing/#crs-support). | ### Responses **201** Collection created **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/zarr/v1/collections https\://services.sentinel-hub.com/zarr/v1/collections ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "name": "string", "s3Bucket": "string", "path": "string", "crs": "string", "envelope": { "type": "Polygon", "coordinates": [ [ [ 0.1, 0.1 ] ] ] } }` ### Response samples * 201 * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "created": "2019-08-24T14:15:22Z", "s3Bucket": "string", "path": "string", "status": "CREATED", "ingestionErrors": "string", "crs": "string", "envelope": { "type": "Polygon", "coordinates": [ [ [ 0.1, 0.1 ] ] ] }, "width": 0, "height": 0, "zattrs": { }, "additionalData": { "bands": { "band1": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] }, "band2": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] } }, "maxMetersPerPixel": 0 } } }` ## [](#tag/zarr_collection/operation/getZarrCollections)Query Zarr collections ##### Authorizations: *OAuth2* ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | | search | stringOptional query to search Zarr collections by name. If omitted, all items are returned. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions get/zarr/v1/collections https\://services.sentinel-hub.com/zarr/v1/collections ### Response samples * 200 Content type aplication/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "created": "2019-08-24T14:15:22Z", "s3Bucket": "string", "path": "string", "status": "CREATED", "ingestionErrors": "string", "crs": "string", "envelope": { "type": "Polygon", "coordinates": [ [ [ 0.1, 0.1 ] ] ] }, "width": 0, "height": 0, "zattrs": { }, "additionalData": { "bands": { "band1": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] }, "band2": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] } }, "maxMetersPerPixel": 0 } } ] }` ## [](#tag/zarr_collection/operation/getZarrCollection)Get a Zarr collection ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/zarr/v1/collections/{collectionId} https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId} ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "created": "2019-08-24T14:15:22Z", "s3Bucket": "string", "path": "string", "status": "CREATED", "ingestionErrors": "string", "crs": "string", "envelope": { "type": "Polygon", "coordinates": [ [ [ 0.1, 0.1 ] ] ] }, "width": 0, "height": 0, "zattrs": { }, "additionalData": { "bands": { "band1": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] }, "band2": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] } }, "maxMetersPerPixel": 0 } } }` ## [](#tag/zarr_collection/operation/updateZarrCollectionById)Update Zarr collection ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | ##### Request Body schema: application/json | | | | ------------ | ------ | | namerequired | string | ### Responses **204** Collection updated **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found put/zarr/v1/collections/{collectionId} https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId} ### Request samples * Payload Content type application/json Copy `{ "name": "string" }` ### Response samples * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/zarr_collection/operation/deleteZarrCollectionById)Delete Zarr collection ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | ### Responses **204** Collection deleted **401** Unauthorized **403** Insufficient permissions **404** Not found delete/zarr/v1/collections/{collectionId} https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId} ### Response samples * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/zarr_collection/operation/reingestZarrCollectionById)Reingest a Zarr collection ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found put/zarr/v1/collections/{collectionId}/reingest https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId}/reingest ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "created": "2019-08-24T14:15:22Z", "s3Bucket": "string", "path": "string", "status": "CREATED", "ingestionErrors": "string", "crs": "string", "envelope": { "type": "Polygon", "coordinates": [ [ [ 0.1, 0.1 ] ] ] }, "width": 0, "height": 0, "zattrs": { }, "additionalData": { "bands": { "band1": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] }, "band2": { "source": "string", "bandIndex": 1, "bitDepth": 8, "sampleFormat": "UINT", "noData": 0, "aliases": [ "string" ] } }, "maxMetersPerPixel": 0 } } }` ## [](#tag/zarr_array)Arrays ## [](#tag/zarr_array/operation/getZarrArrays)Query Zarr collection's arrays ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | | search | stringOptional query to search arrays by name. If omitted, all items are returned. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/zarr/v1/collections/{collectionId}/arrays https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId}/arrays ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": [ { "name": "string", "s3Bucket": "string", "path": "string", "zarray": { }, "zattrs": { } } ] }` ## [](#tag/zarr_array/operation/getSingleZarrArray)Get a single Zarr array ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------------- | -------------- | | collectionIdrequired | string \ | | arrayNamerequired | string | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/zarr/v1/collections/{collectionId}/arrays/{arrayName} https\://services.sentinel-hub.com/zarr/v1/collections/{collectionId}/arrays/{arrayName} ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "data": { "name": "string", "s3Bucket": "string", "path": "string", "zarray": { }, "zattrs": { } } }`